## BtIcControl BtIcControl — buzztraxs interaction controller single control |

## Properties

gboolean | bound | Read / Write
BtIcDevice * | device | Read / Write / Construct Only
guint | id | Read / Write / Construct Only
gchar * | name | Read / Write

## Types and Values

struct | BtIcControl

## Object Hierarchy

        GObject
        ╰── BtIcControl
            ├── BtIcAbsRangeControl
            ╰── BtIcTriggerControl

## Includes

    #include <libbtic/ic.h>

## Description

Abstract base class for controls.

## Functions

## Types and Values

### struct BtIcControl

    struct BtIcControl;

buzztraxs interaction controller single control

## Property Details

### The `“bound”` property

      “bound”                    gboolean

wheter a control is in use.

Flags: Read / Write

Default value: FALSE

### The `“device”` property

      “device”                   BtIcDevice *

parent device object.

Flags: Read / Write / Construct Only

### The `“id”` property

      “id”                       guint

control id (for lookups).

Flags: Read / Write / Construct Only

Default value: 0

### The `“name”` property

      “name”                     gchar *

control name.

Flags: Read / Write

Default value: NULL